Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00783 Misc. Minor Have not tried Feb 5, 2008, 07:35 Jun 18, 2020, 21:29
Tester Firewave View Status Public Platform
Assigned To GoldS_TCRF Resolution Fixed OS
Status [?] Resolved Driver nycaptor.cpp
Version 0.103u1 Fixed in Version 0.222 Build
Summary 00783: nycaptor: When you get a high score, the initials screen only pops up for a sec and disappears before you can enter anything.
Description When you get a high score, the initials screen only pops up for a sec and disappears before you can enter anything.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.62
Affected Sets / Systems nycaptor
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.17749
GoldS_TCRF
Tester
Jun 16, 2020, 01:25
edited on: Jun 16, 2020, 01:25
I've tracked down the relevant code that seems to be tripping this. This is at 23A3 for the Hit-Miss Ratio screen, 14117 (8117 banked) for the name entry screen:

ld a,($D803)
and $30
jp nz,$23B0

With the way this is currently emulated, the code is checking if the COIN1 and COIN2 bits or IN0 are both set, and if not, exits the subroutine. If you hold Coin 1 and Coin 2 before the name entry / hit-miss ratio screens pop up, they won't disappear. Can't tell if this is BTANB or not, since I don't have a board.
User avatar
No.17755
hap
Developer
Jun 18, 2020, 21:28
Thanks for investigating. Coin inputs are probably active-high then, cyclshtg(same driver) already has this.